Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3198 - crashes with message "Fatal error in APMsync()"
Summary: crashes with message "Fatal error in APMsync()"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-01 20:13 UTC by a.p.j.bergsma
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-31 19:35:31 UTC


Attachments (Terms of Use)

Description a.p.j.bergsma 1999-06-01 20:13:18 UTC
Alright, I haven't got a clue if it's a bug. But both at
redhat 6.0 and redhat 5.2 with kernel 2.2.5, I get this
error while using X windows. Then it crashes completely.
The error is:
Fatal error in APMsync().

This even when the apm daemon is not in memory.

I've got a pentium 100, diamond stealth 2500, WIN TV
videograbber with video4linux software installed, epic 100
networkcard, and asus cdrom player.

Could this have something to do with Video4Linux? It
crashes even without any video4linux application running.

Many thanks,

Auke

Comment 1 a.p.j.bergsma 1999-06-02 19:03:59 UTC
The complete error is:

Fatal server error
Hung in APMsync()

Comment 2 David Lawrence 1999-07-02 18:02:59 UTC
Does this occur when X has been idle for a period of time? Are you
using the SVGA server or the S3V server to run X?

Comment 3 a.p.j.bergsma 1999-07-03 14:52:59 UTC
What do you mean by idle? The harddisk isn't a sleep or anything (no
screensaver) if that's what you mean. Mostly it happens, when we run
a programm called XawTV, but it sometimes also occurs if try to run
pico in a xterm. We used the SVGA server, I think.

Meanwhile we've also tryed to disable the kernel support for APM, but
this doesn't seem to work either. Could it be a computer specific
problem?

Comment 4 Bill Nottingham 1999-08-31 17:37:59 UTC
This is a bug in XFree86 - have you tried upgrading to
the latest version?

Comment 5 Preston Brown 1999-08-31 19:35:59 UTC
this has nothing to do with APM (advanced power management), but
rather Alliance chipset cards (which your diamond stealth 2500 appears
to use). This driver has seen quite a bit of work in XFree86 3.3.5,
which we are releasing very soon as errata.

Please get the errata and test it; reopen the bug if your problem
persists.


Note You need to log in before you can comment on or make changes to this bug.